Discuz! 官方站

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 194|回复: 6

如何发布兼容多版本的模板?

[复制链接]
发表于 2016-10-6 13:52:42 | 显示全部楼层 |阅读模式
本帖最后由 ACGI 于 2017-3-7 21:53 编辑

比如兼容3.0,3.1,3.2总不能每个版本都添加一个分支吧?求老鸟讲解


方法给模板萌新:
打开你风格的  discuz_style_你的风格.xml
在末尾修改版本号为
<item id="version"><![CDATA[X3.0,X3.1,X3.2]]></item>
即兼容3.0、3.1、3.2
发表于 2016-10-7 13:04:31 | 显示全部楼层
在你写模板的时候就把这些标记添加进配置文件里,只需要提供一个版本的就ok.
回复

使用道具 举报

 楼主| 发表于 2016-10-11 10:07:57 | 显示全部楼层
本帖最后由 ACGI 于 2017-3-7 21:53 编辑

打开你风格的  discuz_style_你的风格.xml
在末尾修改版本号为
<item id="version"><![CDATA[X3.0,X3.1,X3.2]]></item>
即兼容3.0、3.1、3.2
回复

使用道具 举报

发表于 2016-10-11 10:16:57 | 显示全部楼层
早就说过了xml里要改,自己不懂还说别人藏着掖着,这有毛线好藏着掖着
回复

使用道具 举报

 楼主| 发表于 2016-10-13 11:53:02 | 显示全部楼层
本帖最后由 ACGI 于 2016-10-13 11:54 编辑
科站网 发表于 2016-10-11 10:16
早就说过了xml里要改,自己不懂还说别人藏着掖着,这有毛线好藏着掖着

都说改xml,我也知道改xml,问题是只说改xml不说改哪,我开始以为降低版本可以兼容后面的,就改了3.0,然后还是不行,刚开始学这个要是知道怎么改也不会问了。我忘了是谁说的版本号可以用,隔开兼容,如果是你说的那我谢谢你。
回复

使用道具 举报

发表于 2016-10-17 13:44:45 | 显示全部楼层
ACGI 发表于 2016-10-13 11:53
都说改xml,我也知道改xml,问题是只说改xml不说改哪,我开始以为降低版本可以兼容后面的,就改了3.0,然 ...

如果你尝试提交一个新的,系统就会告诉你应该怎么改,而且群里我也说了好几次,用,分割版本号
回复

使用道具 举报

发表于 2017-3-23 08:35:54 | 显示全部楼层
哈哈,楼主加油哦
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

腾讯云市场年终大促!Discuz X3.4论坛系统免费用,虚拟主机低至20元/月,爆款小程序1元起!

小黑屋|Discuz! 官方站 ( 粤B2-20090059-165 )star

GMT+8, 2020-2-18 09:44

Powered by Discuz! X3.3

Copyright © 2001-2019 Tencent Cloud.

快速回复 返回顶部 返回列表